Subject: bug#13041: 24.2; diacritic-fold-search

From: Lewis Perin <[email-masked]>
Date: Fri, 30 Nov 2012 16:07:44 -0500

Juri Linkov writes:
> > Currently, if I want to search for both “apres” and “après”,
> > I need an additive regular expression.  I would like to do this as
> > easily as I can search for “apres” and “Apres”.  I would be delighted
> > if Emacs implemented the equivalence classes spelled out here:
> >
> >   http://hex-machina.com/scripts/yui/3.3.0pr1/api/unicode-data-accentfold.js.html
> 
> This could be implemented in isearch using a recipe from
> 
> http://thread.gmane.org/gmane.emacs.devel/117003/focus=117959
> 
> Instead of hard-coding a list of equivalent characters
> I guess it should be possible to do this automatically
> using Unicode information about characters.

I never thought I was the first to wonder about this!

In the last message of that thread, you say “Provided it doesn’t make
the search slow, it would be nice to add it to Emacs activating on
some user settings.”  Do you remember if that technique turned out to
be tolerably speedy?

/Lew
---
Lew Perin | [email-masked] | http://babelcarp.org